ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: [JPackage-devel] FW: jakarta ant 1.4.1/1.5 ant script
Date Tue, 30 Apr 2002 15:48:05 GMT
On 30 Apr 2002, Nicolas Mailhot <Nicolas.Mailhot@laposte.net> wrote:

> I didn't change back the $() back since it's required by posix and
> the few test we did with csh-like scripts show some versions won't
> even accept ``.

You must have misunderstood what I wanted to say.

The /bin/sh is a Bourne-Shell on Solaris as well as on HP/UX, these
systems default to csh for *interactive user shells*, but /bin/sh is
there.  You can install a Posix compatible shell on Solaris (typically
/usr/xpg4/bin/sh) but this is not mandatory.

I see little reason to drop support for platforms that have a
"working" /bin/sh but not a XPG4 compatible one.  You'd require more
from a system than most other projects - the configure script autoconf
creates works with Solaris' sh for example.

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message